io.vertx.rxjava.core.dns

## Class DnsClient

- java.lang.Object
- - io.vertx.rxjava.core.dns.DnsClient

-     public class DnsClient
      extends Object

  Provides a way to asynchronously lookup information from DNS servers.

  Please consult the documentation for more information on DNS clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnsClient(DnsClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `DnsClient` | `lookup(String name, Handler<AsyncResult<String>> handler)` Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name.
    `DnsClient` | `lookup4(String name, Handler<AsyncResult<String>> handler)` Try to lookup the A (ipv4) record for the given name.
    `Observable<String>` | `lookup4Observable(String name)` Try to lookup the A (ipv4) record for the given name.
    `DnsClient` | `lookup6(String name, Handler<AsyncResult<String>> handler)` Try to lookup the AAAA (ipv6) record for the given name.
    `Observable<String>` | `lookup6Observable(String name)` Try to lookup the AAAA (ipv6) record for the given name.
    `Observable<String>` | `lookupObservable(String name)` Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name.
    `static DnsClient` | `newInstance(DnsClient arg)`
    `DnsClient` | `resolveA(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve all A (ipv4) records for the given name.
    `DnsClient` | `resolveAAAA(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve all AAAA (ipv6) records for the given name.
    `Observable<List<String>>` | `resolveAAAAObservable(String name)` Try to resolve all AAAA (ipv6) records for the given name.
    `Observable<List<String>>` | `resolveAObservable(String name)` Try to resolve all A (ipv4) records for the given name.
    `DnsClient` | `resolveCNAME(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve the CNAME record for the given name.
    `Observable<List<String>>` | `resolveCNAMEObservable(String name)` Try to resolve the CNAME record for the given name.
    `DnsClient` | `resolveMX(String name, Handler<AsyncResult<List<MxRecord>>> handler)` Try to resolve the MX records for the given name.
    `Observable<List<MxRecord>>` | `resolveMXObservable(String name)` Try to resolve the MX records for the given name.
    `DnsClient` | `resolveNS(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve the NS records for the given name.
    `Observable<List<String>>` | `resolveNSObservable(String name)` Try to resolve the NS records for the given name.
    `DnsClient` | `resolvePTR(String name, Handler<AsyncResult<String>> handler)` Try to resolve the PTR record for the given name.
    `Observable<String>` | `resolvePTRObservable(String name)` Try to resolve the PTR record for the given name.
    `DnsClient` | `resolveSRV(String name, Handler<AsyncResult<List<SrvRecord>>> handler)` Try to resolve the SRV records for the given name.
    `Observable<List<SrvRecord>>` | `resolveSRVObservable(String name)` Try to resolve the SRV records for the given name.
    `DnsClient` | `resolveTXT(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve the TXT records for the given name.
    `Observable<List<String>>` | `resolveTXTObservable(String name)` Try to resolve the TXT records for the given name.
    `DnsClient` | `reverseLookup(String ipaddress, Handler<AsyncResult<String>> handler)` Try to do a reverse lookup of an IP address.
    `Observable<String>` | `reverseLookupObservable(String ipaddress)` Try to do a reverse lookup of an IP address.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DnsClient

          public DnsClient(DnsClient delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### lookup

          public DnsClient lookup(String name,
                                  Handler<AsyncResult<String>> handler)

      Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
        `handler` - the `io.vertx.rxjava.core.Handler` to notify with the `io.vertx.rxjava.core.AsyncResult`. The handler will get notified with the resolved address if a record was found. If non was found it will get notifed with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookupObservable

          public Observable<String> lookupObservable(String name)

      Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:

    - #### lookup4

          public DnsClient lookup4(String name,
                                   Handler<AsyncResult<String>> handler)

      Try to lookup the A (ipv4) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
        `handler` - the to notify with the `io.vertx.rxjava.core.AsyncResult`. The handler will get notified with the resolved `Inet4Address` if a record was found. If non was found it will get notifed with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup4Observable

          public Observable<String> lookup4Observable(String name)

      Try to lookup the A (ipv4) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:

    - #### lookup6

          public DnsClient lookup6(String name,
                                   Handler<AsyncResult<String>> handler)

      Try to lookup the AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
        `handler` - the to notify with the . The handler will get notified with the resolved `Inet6Address` if a record was found. If non was found it will get notifed with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup6Observable

          public Observable<String> lookup6Observable(String name)

      Try to lookup the AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:

    - #### resolveA

          public DnsClient resolveA(String name,
                                    Handler<AsyncResult<List<String>>> handler)

      Try to resolve all A (ipv4) records for the given name.
      Parameters:
        `name` - the name to resolve
        `handler` - the `io.vertx.rxjava.core.Handler` to notify with the `io.vertx.rxjava.core.AsyncResult`. The handler will get notified with a `List` that contains all the resolved `Inet4Address`es. If none was found an empty `List` will be used. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveAObservable

          public Observable<List<String>> resolveAObservable(String name)

      Try to resolve all A (ipv4) records for the given name.
      Parameters:
        `name` - the name to resolve
      Returns:

    - #### resolveAAAA

          public DnsClient resolveAAAA(String name,
                                       Handler<AsyncResult<List<String>>> handler)

      Try to resolve all AAAA (ipv6) records for the given name.
      Parameters:
        `name` - the name to resolve
        `handler` - the `io.vertx.rxjava.core.Handler` to notify with the `io.vertx.rxjava.core.AsyncResult`. The handler will get notified with a `List` that contains all the resolved `Inet6Address`es. If none was found an empty `List` will be used. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveAAAAObservable

          public Observable<List<String>> resolveAAAAObservable(String name)

      Try to resolve all AAAA (ipv6) records for the given name.
      Parameters:
        `name` - the name to resolve
      Returns:

    - #### resolveCNAME

          public DnsClient resolveCNAME(String name,
                                        Handler<AsyncResult<List<String>>> handler)

      Try to resolve the CNAME record for the given name.
      Parameters:
        `name` - the name to resolve the CNAME for
        `handler` - the to notify with the . The handler will get notified with the resolved `String` if a record was found. If none was found it will get notified with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveCNAMEObservable

          public Observable<List<String>> resolveCNAMEObservable(String name)

      Try to resolve the CNAME record for the given name.
      Parameters:
        `name` - the name to resolve the CNAME for
      Returns:

    - #### resolveMX

          public DnsClient resolveMX(String name,
                                     Handler<AsyncResult<List<MxRecord>>> handler)

      Try to resolve the MX records for the given name.
      Parameters:
        `name` - the name for which the MX records should be resolved
        `handler` - the `io.vertx.rxjava.core.Handler` to notify with the `io.vertx.rxjava.core.AsyncResult`. The handler will get notified with a List that contains all resolved `MxRecord`s, sorted by their `MxRecord.priority()`. If non was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveMXObservable

          public Observable<List<MxRecord>> resolveMXObservable(String name)

      Try to resolve the MX records for the given name.
      Parameters:
        `name` - the name for which the MX records should be resolved
      Returns:

    - #### resolveTXT

          public DnsClient resolveTXT(String name,
                                      Handler<AsyncResult<List<String>>> handler)

      Try to resolve the TXT records for the given name.
      Parameters:
        `name` - the name for which the TXT records should be resolved
        `handler` - the to notify with the . The handler will get notified with a List that contains all resolved `String`s. If none was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveTXTObservable

          public Observable<List<String>> resolveTXTObservable(String name)

      Try to resolve the TXT records for the given name.
      Parameters:
        `name` - the name for which the TXT records should be resolved
      Returns:

    - #### resolvePTR

          public DnsClient resolvePTR(String name,
                                      Handler<AsyncResult<String>> handler)

      Try to resolve the PTR record for the given name.
      Parameters:
        `name` - the name to resolve the PTR for
        `handler` - the to notify with the . The handler will get notified with the resolved `String` if a record was found. If none was found it will get notified with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolvePTRObservable

          public Observable<String> resolvePTRObservable(String name)

      Try to resolve the PTR record for the given name.
      Parameters:
        `name` - the name to resolve the PTR for
      Returns:

    - #### resolveNS

          public DnsClient resolveNS(String name,
                                     Handler<AsyncResult<List<String>>> handler)

      Try to resolve the NS records for the given name.
      Parameters:
        `name` - the name for which the NS records should be resolved
        `handler` - the to notify with the . The handler will get notified with a List that contains all resolved `String`s. If none was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveNSObservable

          public Observable<List<String>> resolveNSObservable(String name)

      Try to resolve the NS records for the given name.
      Parameters:
        `name` - the name for which the NS records should be resolved
      Returns:

    - #### resolveSRV

          public DnsClient resolveSRV(String name,
                                      Handler<AsyncResult<List<SrvRecord>>> handler)

      Try to resolve the SRV records for the given name.
      Parameters:
        `name` - the name for which the SRV records should be resolved
        `handler` - the to notify with the . The handler will get notified with a List that contains all resolved `SrvRecord`s. If none was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveSRVObservable

          public Observable<List<SrvRecord>> resolveSRVObservable(String name)

      Try to resolve the SRV records for the given name.
      Parameters:
        `name` - the name for which the SRV records should be resolved
      Returns:

    - #### reverseLookup

          public DnsClient reverseLookup(String ipaddress,
                                         Handler<AsyncResult<String>> handler)

      Try to do a reverse lookup of an IP address. This is basically the same as doing trying to resolve a PTR record but allows you to just pass in the IP address and not a valid ptr query string.
      Parameters:
        `ipaddress` - the IP address to resolve the PTR for
        `handler` - the to notify with the . The handler will get notified with the resolved `String` if a record was found. If none was found it will get notified with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### reverseLookupObservable

          public Observable<String> reverseLookupObservable(String ipaddress)

      Try to do a reverse lookup of an IP address. This is basically the same as doing trying to resolve a PTR record but allows you to just pass in the IP address and not a valid ptr query string.
      Parameters:
        `ipaddress` - the IP address to resolve the PTR for
      Returns:

    - #### newInstance

          public static DnsClient newInstance(DnsClient arg)

Copyright © 2016. All rights reserved.